name: Ask question
description: Ask yt-dlp related question
labels: [question]
body:
  - type: checkboxes
    id: checklist
    attributes:
      label: Checklist
      description: |
        Carefully read and work through this check list in order to prevent the most common mistakes and misuse of yt-dlp:
      options:
        - label: I'm asking a question and **not** reporting a bug/feature request
          required: true
        - label: I've looked through the [README](https://github.com/yt-dlp/yt-dlp#readme)
          required: true
        - label: I've read the [guidelines for opening an issue](https://github.com/yt-dlp/yt-dlp/blob/master/CONTRIBUTING.md#opening-an-issue)
          required: true
        - label: I've searched the [bugtracker](https://github.com/yt-dlp/yt-dlp/issues?q=) for similar questions including closed ones
          required: true
  - type: textarea
    id: question
    attributes:
      label: Question
      description: |
        Ask your question in an arbitrary form.
        Please make sure it's worded well enough to be understood, see [is-the-description-of-the-issue-itself-sufficient](https://github.com/ytdl-org/youtube-dl#is-the-description-of-the-issue-itself-sufficient).
        Provide any additional information and as much context and examples as possible.
        If your question contains "isn't working" or "can you add", this is most likely the wrong template
      placeholder: WRITE QUESTION HERE
    validations:
      required: true
  - type: textarea
    id: log
    attributes:
      label: Verbose log
      description: |
        If your question involes a yt-dlp command, provide the complete verbose output of that command.
        Add the `-vU` flag to **your** command line you run yt-dlp with (`yt-dlp -vU <your command line>`), copy the WHOLE output and insert it below.
        It should look similar to this:
      placeholder: |
        [debug] Command-line config: ['-vU', 'http://www.youtube.com/watch?v=BaW_jenozKc']
        [debug] Portable config file: yt-dlp.conf
        [debug] Portable config: ['-i']
        [debug] Encodings: locale cp1252, fs utf-8, stdout utf-8, stderr utf-8, pref cp1252
        [debug] yt-dlp version 2021.12.01 (exe)
        [debug] Python version 3.8.8 (CPython 64bit) - Windows-10-10.0.19041-SP0
        [debug] exe versions: ffmpeg 3.0.1, ffprobe 3.0.1
        [debug] Optional libraries: Cryptodome, keyring, mutagen, sqlite, websockets
        [debug] Proxy map: {}
        yt-dlp is up to date (2021.12.01)
        <more lines>
      render: shell
